GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

geos::index::SpatialIndex Member List

This is the complete list of members for geos::index::SpatialIndex, including all inherited members.

insert(const geom::Envelope *itemEnv, void *item)=0 | geos::index::SpatialIndex | pure virtual
query(const geom::Envelope *searchEnv, std::vector< void * > &)=0 | geos::index::SpatialIndex | pure virtual
query(const geom::Envelope *searchEnv, ItemVisitor &visitor)=0 | geos::index::SpatialIndex | pure virtual
remove(const geom::Envelope *itemEnv, void *item)=0 | geos::index::SpatialIndex | pure virtual
~SpatialIndex() (defined in geos::index::SpatialIndex) | geos::index::SpatialIndex | inline virtual